# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.health
Enum HealthNamespace.CategoryScheme

    java.lang.Object
      java.lang.Enum<HealthNamespace.CategoryScheme>
          com.google.gdata.data.health.HealthNamespace.CategoryScheme

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<HealthNamespace.CategoryScheme>

Enclosing class:
  HealthNamespace

    public static enum HealthNamespace.CategoryScheme

extends java.lang.Enum<HealthNamespace.CategoryScheme>

Google Health recognizes the enumerated Category Schemes for GData Category queries.

Enum Constant Summary
`ccr` CCR scheme identifies the category of all CCR-categories or subsections.
`code` Code scheme identifies CCR codes.
`item` Item scheme identifies the category of all health-items.

Method Summary
`java.lang.String` `getIri()` Returns the IRI which identifies this categorization scheme.
`static HealthNamespace.CategoryScheme` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static HealthNamespace.CategoryScheme[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ccr

    public static final HealthNamespace.CategoryScheme ccr

  CCR scheme identifies the category of all CCR-categories or subsections. Possible term values are:

  - labtest
  - medication
  - condition
  - symptom
  - vitalsigns
  - procedure
  - immunization
  - familyhistory
  - allergy
  - demographics

### item

    public static final HealthNamespace.CategoryScheme item

  Item scheme identifies the category of all health-items. Possible term values are the names of a health record. [e.g. Lipitor].

### code

    public static final HealthNamespace.CategoryScheme code

  Code scheme identifies CCR codes. Possible term values are the codes.

Method Detail

### values

    public static HealthNamespace.CategoryScheme[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HealthNamespace.CategoryScheme c : HealthNamespace.CategoryScheme.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HealthNamespace.CategoryScheme valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getIri

    public java.lang.String getIri()

  Returns the IRI which identifies this categorization scheme.

  Returns:
    the IRI identifier.